ServerEvents.chestLootTables(event=>{
    event.modify("repurposed_structures:mansions/desert",loot=>{
        loot.addPool(pool=>{
            pool.addItem("farmersrespite:tea_seeds")
            pool.addItem("rusticdelight:coffee_beans")
            pool.rolls=4
            console.log(pool.conditions);
        })
    })
    event.modify("repurposed_structures:mansions/desert_storage",loot=>{
        loot.addPool(pool=>{
            pool.addItem("minecraft:oak_sapling")
            pool.addItem("minecraft:spruce_sapling")
            pool.addItem("minecraft:birch_sapling")
            pool.addItem("minecraft:jungle_sapling")
            pool.addItem("minecraft:acacia_sapling")
            pool.addItem("minecraft:dark_oak_sapling")
            pool.addItem("minecraft:mangrove_propagule")
            pool.addItem("minecraft:cherry_sapling")
            pool.addItem("minecraft:azalea")
            pool.addItem("minecraft:flowering_azalea")
            pool.addItem("minecraft:brown_mushroom")
            pool.addItem("minecraft:red_mushroom")
            pool.addItem("minecraft:dandelion")
            pool.addItem("minecraft:lily_of_the_valley")
            pool.addItem("minecraft:bamboo")
            pool.addItem("minecraft:sugar_cane")
            pool.addItem("minecraft:cactus")
            pool.addItem("minecraft:sunflower")
            pool.addItem("minecraft:rose_bush")
            pool.addItem("minecraft:wheat_seeds")
            pool.addItem("minecraft:cocoa_beans")
            pool.addItem("minecraft:pumpkin_seeds")
            pool.addItem("minecraft:melon_seeds")
            pool.addItem("minecraft:beetroot_seeds")
            pool.addItem("supplementaries:flax_seeds")
            pool.addItem("minecraft:glow_berries")
            pool.addItem("minecraft:sweet_berries")
            pool.addItem("minecraft:seagrass")
            pool.addItem("minecraft:sea_pickle")
            pool.addItem("minecraft:kelp")
            pool.addItem("minecraft:carrot")
            pool.addItem("minecraft:potato")
            pool.addItem("farmersdelight:onion")
            pool.addItem("farmersdelight:rice")
            pool.addItem("farmersdelight:cabbage_seeds")
            pool.addItem("farmersdelight:tomato_seeds")
            pool.addItem("farmersdelight:milk_bottle")
            pool.addItem("culturaldelights:corn_kernels")
            pool.addItem("culturaldelights:eggplant_seeds")
            pool.addItem("culturaldelights:avocado_sapling")
            pool.addItem("delightful:salmonberry_pips")
            pool.addItem("delightful:animal_fat")
            pool.addItem("delightful:cantaloupe_seeds")
            pool.addItem("fruitsdelight:pear_sapling")
            pool.addItem("fruitsdelight:hawberry_sapling")
            pool.addItem("fruitsdelight:lychee_sapling")
            pool.addItem("fruitsdelight:mango_sapling")
            pool.addItem("fruitsdelight:persimmon_sapling")
            pool.addItem("fruitsdelight:peach_sapling")
            pool.addItem("fruitsdelight:orange_sapling")
            pool.addItem("fruitsdelight:apple_sapling")
            pool.addItem("fruitsdelight:mangosteen_sapling")
            pool.addItem("fruitsdelight:bayberry_sapling")
            pool.addItem("fruitsdelight:kiwi_sapling")
            pool.addItem("fruitsdelight:fig_sapling")
            pool.addItem("fruitsdelight:blueberry")
            pool.addItem("fruitsdelight:lemon_seeds")
            pool.addItem("fruitsdelight:cranberry")
            pool.addItem("fruitsdelight:hamimelon_seeds")
            pool.addItem("fruitsdelight:pineapple_sapling")
            pool.addItem("rusticdelight:cotton_seeds")
            pool.addItem("rusticdelight:bell_pepper_seeds")
            pool.addItem("rusticdelight:coffee_beans")
            pool.addItem("farmersrespite:tea_seeds")
            pool.addItem("crabbersdelight:coral_fragments")
            pool.addItem("vintagedelight:peanut")
            pool.addItem("vintagedelight:oat_seeds")
            pool.addItem("vintagedelight:ghost_pepper_seeds")
            pool.addItem("vintagedelight:cucumber_seeds")
            pool.rolls=1
            console.log(pool.conditions);
        })
    })
})